Bug 250365 - games/devilutionX: update to 1.1.0
Summary: games/devilutionX: update to 1.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL: https://github.com/diasurgical/devilu...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-15 10:40 UTC by Nuno Teixeira
Modified: 2020-10-22 06:02 UTC (History)
3 users (show)

See Also:
benny.goemans: maintainer-feedback+


Attachments
Sugested svn patch (4.51 KB, patch)
2020-10-15 10:40 UTC, Nuno Teixeira
no flags Details | Diff
7zip previous svn patches (1.84 KB, application/x-7z-compressed)
2020-10-15 10:43 UTC, Nuno Teixeira
no flags Details
Sugested svn patch (4.37 KB, patch)
2020-10-15 10:58 UTC, Nuno Teixeira
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nuno Teixeira 2020-10-15 10:40:01 UTC
Created attachment 218757 [details]
Sugested svn patch

Hello,

This is an update to 1.1.0.

Changes from 1.0.1 to 1.1.0:

https://github.com/diasurgical/devilutionX/releases


I've tested 1.0.2, 1.0.3 and 1.1.0 and all work fine.

I sent an svn patch for 1.1.0 and a 7zip archive diffs.7z with previous patches.

Thanks,

Nuno Teixeira
Comment 1 Nuno Teixeira 2020-10-15 10:43:02 UTC
Created attachment 218758 [details]
7zip previous svn patches
Comment 2 Nuno Teixeira 2020-10-15 10:58:20 UTC
Created attachment 218759 [details]
Sugested svn patch

Correct patch
Comment 3 Fernando Apesteguía freebsd_committer 2020-10-16 07:11:52 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.


Thanks!
Comment 4 Nuno Teixeira 2020-10-16 07:28:22 UTC
(In reply to Fernando Apesteguía from comment #3)

Oh, didn't know about it. Next time I will use it.

Thanks
Comment 5 commit-hook freebsd_committer 2020-10-22 06:02:39 UTC
A commit references this bug:

Author: lwhsu
Date: Thu Oct 22 06:02:00 UTC 2020
New revision: 552931
URL: https://svnweb.freebsd.org/changeset/ports/552931

Log:
  games/devilutionX: Update to 1.1.0

  PR:		250365
  Submitted by:	Nuno Teixeira <ed.arrakis@gmail.com>
  Approved by:	malavon <benny.goemans@gmail.com> (maintainer)

Changes:
  head/games/devilutionX/Makefile
  head/games/devilutionX/distinfo
  head/games/devilutionX/files/patch-CMakeLists.txt
  head/games/devilutionX/files/patch-Packaging_fedora_devilutionx.desktop